<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>

<!--
	CH Module 1 style-sheet
	27. September 2018 
	-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xlink="http://www.w3c.org/1999/xlink"
	xmlns:ch="http://www.swissmedic.ch">
  
   <xsl:output method="html" encoding="UTF-8" indent="no"/>
   
   <xsl:template match="/">
      <html>
         <head>
            <title>CH Module 1 - DTD version <xsl:value-of select="/ch:ch-backbone/@dtd-version"/></title>
            <style type="text/css">
				* {
					font-family: verdana;
				}
				
				.image-plus {
					background-image: url('data:image/gif;base64,R0lGODlhCQAJAOMOADFKY0L/QpSlvZylvZytxqW11qm92r3GxrXI48bGxsbS59Te8efv9+vz/////////yH5BAEAAA8ALAAAAAAJAAkAAAQucJE5hhCHuL0bA9oGeArIAcxiAIMDvO8qOB6wKAUgeAugIDkB42coGAEHmPIQAQA7');
				}
				
				.image-minus {
					background-image: url('data:image/gif;base64,R0lGODlhCQAJAOMOADFKY0L/QpSlvZylvZytxqW11qm92r3GxrnK5MbGxsbW69jh8efv9+vz/////////yH5BAEAAA8ALAAAAAAJAAkAAAQrcJE5hhCHuL0bAxrnIaDILAYwOEDbpoLjLYtSAMJcI7fAKAhDYQg4uI6HCAA7');
				}
				
				body {
					font-size: 12px;
					background-color: #E7E7D0;
					margin: 0;
					padding: 0;
				}
				
				.red {
					color: #CB003B;
				}
				
				.odd {
					background-color: #E7E7D0;
				}
				
				#all {
					background-color: #FFF;
					margin: 20px;
					padding: 10px 10px 100px 10px;
					border: 1px solid #CCC;
				}
				
				h1, h2, h3 {
					margin: 0;
					font-weight: normal;
				}
				
				h1, h2 {
					text-align: center;
					text-transform: uppercase;
				}
				
				h1 {
					color: #CB003B;
					font-size: 24px;
				}
				
				h2 {
					color: #010101;
					font-size: 12px;
				}
				
				h3 {
					margin-top: 20px;
				}
				
				td, th {
					font-size: 12px;
					vertical-align: top;
				}
				
				table.expandable tr th a {
					text-decoration: none;
					padding-left: 12px;
					background-repeat: no-repeat;
					background-position: 0 3px;
					color: #000;
				}
				
				table.expandable td.spacer {
					width: 11px;
				}
				
				table.expandable tbody a {
					color: #CB003B;
				}
				
				.leaf-info {
					position: absolute;
					background-color: #F4F4F4;
					border: 1px solid #E7E7D0;
					margin-left: 10px;
				}
				
				.leaf-info td {
					white-space: nowrap;
				}
			</style>
         </head>
			<body>
				<div id="all">
					<h1>CH Module 1</h1>
					<h2>DTD version <xsl:value-of select="/ch:ch-backbone/@dtd-version"/></h2>
					<xsl:apply-templates select="//envelope"/>
					<xsl:apply-templates select="//m1-ch"/>
				</div>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="envelope">
		<table cellspacing="0" cellpadding="4px">
			<tr>
				<td colspan="2"><h3>Envelope for <xsl:apply-templates select="./@country" mode="country"/></h3></td>
			</tr>
			<tr class="odd">
				<td width="175px">Application Number: </td>
				<td><xsl:apply-templates select="application-number" mode="csv"/></td>
			</tr>
			<tr>
				<td>Submission Description: </td>
				<td><xsl:value-of select="submission-description"/></td>
			</tr>
			<tr class="odd">
				<td>Invented Name: </td>
				<td><xsl:apply-templates select="invented-name" mode="csv"/></td>
			</tr>
			<tr>
				<td>Galenic Form: </td>
				<td>
					<xsl:apply-templates select="galenic-form"/>
				</td>
			</tr>
			<tr class="odd">
				<td>DMF Number: </td>
				<td><xsl:apply-templates select="dmf-number" mode="data"/></td>
			</tr>
			<tr>
				<td>PMF Number: </td>
				<td><xsl:apply-templates select="pmf-number" mode="data"/></td>
			</tr>
			<tr class="odd">
				<td>INN: </td>
				<td><xsl:apply-templates select="inn" mode="csv"/></td>
			</tr>
			<tr>
				<td>Applicant: </td>
				<td><xsl:apply-templates select="applicant" mode="data"/></td>
			</tr>
			<tr class="odd">
				<td>DMF Holder: </td>
				<td><xsl:apply-templates select="dmf-holder" mode="data"/></td>
			</tr>
			<tr>
				<td>PMF Holder: </td>
				<td><xsl:apply-templates select="pmf-holder" mode="data"/></td>
			</tr>
			<tr class="odd">
				<td>Agency: </td>
				<td><xsl:apply-templates select="agency" mode="data"/></td>
			</tr>
			<tr>
				<td>Submission: </td>
				<td><xsl:apply-templates select="application" mode="application"/></td>
			</tr>
			<tr class="odd">
				<td>Paragraph 13 TPA: </td>
				<td><xsl:apply-templates select="paragraph-13-tpa" mode="data"/></td>
			</tr>
			<tr>
				<td>eCTD Sequence: </td>
				<td><xsl:apply-templates select="ectd-sequence" mode="data"/></td>
			</tr>
			<tr  class="odd">
				<td>Related eCTD Sequence: </td>
				<td><xsl:apply-templates select="related-ectd-sequence" mode="csv"/></td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="galenic-form">
		<table class="expandable">
			<thead>
				<tr>
					<th colspan="3" align="left"><xsl:apply-templates select="@name" mode="expandable-anchor"/></th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="spacer" />
					<td>Swissmedic Number: </td>
					<td><xsl:apply-templates select="swissmedic-number" mode="data"/></td>
				</tr>
					<td />
					<td valign="top">Galenic Name: </td>
					<td>
						<table>
							<xsl:apply-templates select="galenic-name"/>
						</table>
					</td>
			</tbody>
		</table>
	</xsl:template>
	
	<xsl:template match="galenic-name">
		<tr>
			<xsl:choose>
				<xsl:when test="@language='de'">
					<td>German: </td>
				</xsl:when>
				<xsl:when test="@language='fr'">
					<td>French: </td>
				</xsl:when>
				<xsl:when test="@language='it'">
					<td>Italian: </td>
				</xsl:when>
			</xsl:choose>
			<td><xsl:apply-templates select="." mode="data"/></td>
		</tr>
	</xsl:template>
	
	<xsl:template match="m1-ch">
		<table>
			<tr>
				<td><h3>Module 1</h3></td>
			</tr>
			<xsl:apply-templates select="m1-galenic-form"/>
		</table>
	</xsl:template>
	
	<xsl:template match="m1-galenic-form">
		<tr>
			<td>
				<table class="expandable" cellspacing="0">
					<thead>
						<tr><th colspan="2" align="left"><xsl:apply-templates select="@name" mode="expandable-anchor"/></th></tr>
					</thead>
					<tbody>
						<tr>
							<td class="spacer" />
							<td>
								<table cellspacing="0">
									<tr><td width="70px" /><td width="400px" /></tr>
									<xsl:apply-templates select="*" />
								</table>
							</td>
						</tr>
					</tbody>
				</table>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="m1-0-cover">
		<tr>
			<td>1.0</td><td>Cover Letter</td>
		</tr>
		<xsl:apply-templates select="leaf" />
		<xsl:apply-templates select="node-extension" />
	</xsl:template>
	
	<xsl:template match="m1-2-applvar">
		<tr>
			<td>1.2</td><td>Application for Marketing Authorisation and Variation</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
	
		<xsl:template match="m1-2-1-foapplvar">
				<tr>
					<td>1.2.1</td><td>Form - Application</td>
				</tr>
				<xsl:apply-templates select="*" />
		</xsl:template>

		<xsl:template match="m1-2-2-ann-form">
			<tr>
				<td>1.2.2</td><td>Forms - Additional</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>

			<xsl:template match="m1-2-2-1-form-full-declaration">
						<tr>
							<td>1.2.2.1</td><td>Form Full Declaration</td>
						</tr>
						<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-2-form-manufacturer-information">
					<tr>
						<td>1.2.2.2</td><td>Form Manufacturer Information</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-3-form-status-marketing-authorisations-abroad">
					<tr>
						<td>1.2.2.3</td><td>Form Status Marketing Authorisations Abroad</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-4-form-variation-requiring-notification">
					<tr>
						<td>1.2.2.4</td><td>Form Variation Requiring Notification</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-5-form-quality-variation-requiring-approval">
					<tr>
						<td>1.2.2.5</td><td>Form Quality Variation Requiring Approval</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-6-form-application-for-extension-of-authorisation">
					<tr>
						<td>1.2.2.6</td><td>Form Application for Extension of Authorisation</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-7-form-human-blood-components">
					<tr>
						<td>1.2.2.7</td><td>Form Human Blood Components</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-8-form-substances-of-animal-or-human-origin">
					<tr>
						<td>1.2.2.8</td><td>Form Substances of Animal or Human Origin</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-9-form-pharmaceutical-information-for-parenteral-preparations">
					<tr>
						<td>1.2.2.9</td><td>Form Pharmaceutical Information for Parenteral Preparations</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-10-form-co-marketing-confirmation">
					<tr>
						<td>1.2.2.10</td><td>Form Co-Marketing Confirmation</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-11-form-import-according-to-paragraph-14-section-2-tpa">
					<tr>
						<td>1.2.2.11</td><td>Form Import According to Paragraph 14 Section 2 TPA</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
		

			<xsl:template match="m1-2-2-12-form-safety-changes-to-product-information">
					<tr>
						<td>1.2.2.12</td><td>Form Safety Changes to Product Information</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-13-form-change-of-marketing-authorisation-holder">
					<tr>
						<td>1.2.2.13</td><td>Form Change of Marketing Authorisation Holder</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-14-cl-formal-control">
					<tr>
						<td>1.2.2.14</td><td>Checklist Formal Control Application Authorisation Human Medicines</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-15-cl-formal-control-13">
					<tr>
						<td>1.2.2.15</td><td>Checklist Formal Control Application Authorisation Human Medicines Art.13, TPA</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>


			<xsl:template match="m1-2-2-16-form-psur-for-human-medicines">
					<tr>
						<td>1.2.2.16</td><td>Form PSUR/PBRER for Human Medicines</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-17-form-declaration-radiopharmaceuticals">
					<tr>
						<td>1.2.2.17</td><td>Form Declaration Radiopharmaceuticals</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-18-form-confirmation-substances-from-gmo">
					<tr>
						<td>1.2.2.18</td><td>Form Confirmation Regarding Substances from GMO</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-19-form-dmf">
					<tr>
						<td>1.2.2.19</td><td>Form DMF</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-20-form-information-applications-art-13-tpa">
					<tr>
						<td>1.2.2.20</td><td>Form Information Relating to Applications under Art. 13 TPA</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
			
						<xsl:template match="m1-2-2-21-form-notification-sample-packages">
					<tr>
						<td>1.2.2.21</td><td>Form Notification Sample Packages</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
			
						<xsl:template match="m1-2-2-22-form-notification-of-no-marketing-or-interruption-to-distribution">
					<tr>
						<td>1.2.2.22</td><td>Form Notification of No Marketing or Interruption to Distribution</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
			
						<xsl:template match="m1-2-2-23-form-application-for-recognition-of-orphan-drug-status">
					<tr>
						<td>1.2.2.23</td><td>Form Application for Recognition of Orphan Drug Status</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
			
						<xsl:template match="m1-2-2-24-application-for-recognition-of-fast-track-status">
					<tr>
						<td>1.2.2.24</td><td>Application for Recognition of Fast Track Status</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
			
			<xsl:template match="m1-2-2-25-form-pip">
					<tr>
						<td>1.2.2.25</td><td>Form PIP</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
			
			<xsl:template match="m1-2-2-26-gcpinspections">
					<tr>
						<td>1.2.2.26</td><td>GCP Inspections</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-2-99-other-forms">
					<tr>
						<td>1.2.2.99</td><td>Other Forms</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
	
		
		<xsl:template match="m1-2-3-quality">
			<tr>
				<td>1.2.3</td><td>Annexes - Documents on Drug Quality</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>

			<xsl:template match="m1-2-3-1-dmf-letter-of-access">
					<tr>
						<td>1.2.3.1</td><td>DMF Letter of Access</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-3-2-certificate-of-suitability-for-active-substance">
					<tr>
						<td>1.2.3.2</td><td>Ph. Eur. Certificate of Suitability for Active Substance</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-3-3-certificate-of-suitability-for-tse">
					<tr>
						<td>1.2.3.3</td><td>Ph. Eur. Certificate of Suitability for TSE</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-3-4-ema-certificate-for-plasma-master-file-pmf">
					<tr>
						<td>1.2.3.4</td><td>EMA Certificate for Plasma Master File (PMF)</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-3-5-ema-certificate-for-vaccine-antigen-master-file-vamf">
					<tr>
						<td>1.2.3.5</td><td>EMA Certificate for Vaccine Antigen Master File (VAMF)</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
		
		<xsl:template match="m1-2-4-manufacturing">
			<tr>
				<td>1.2.4</td><td>Annexes - Manufacturing</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>

			<xsl:template match="m1-2-4-1-gmp-certificate-or-other-gmp-documents">
						<tr>
							<td>1.2.4.1</td><td>GMP Certificate or Other GMP Documents</td>
						</tr>
						<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-4-2-manufacturing-authorisation">
					<tr>
						<td>1.2.4.2</td><td>Documentation Concerning Manufacturing Authorisation</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-4-3-complete-manufacturing-information-with-flow-chart">
					<tr>
						<td>1.2.4.3</td><td>Complete Manufacturing Information with Flow Chart</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
		
			<xsl:template match="m1-2-4-4-confirmation-on-gmp-conformity">
					<tr>
						<td>1.2.4.4</td><td>Confirmation on GMP Conformity</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>
		
		<xsl:template match="m1-2-5-others">
			<tr>
				<td>1.2.5</td><td>Annexes - Others</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>

			<xsl:template match="m1-2-5-1-comparison-of-approved-product-information">
					<tr>
						<td>1.2.5.1</td><td>Comparison of Approved Information for Professionals with EU SmPC (for PSURs)</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

			<xsl:template match="m1-2-5-2-company-core-data-sheet">
					<tr>
						<td>1.2.5.2</td><td>Company Core Data Sheet (for PSURs)</td>
					</tr>
					<xsl:apply-templates select="*" />
			</xsl:template>

	
	<xsl:template match="m1-3-pi">
		<tr>
			<td>1.3</td><td>Product Information and Packaging Material</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
		
		<xsl:template match="m1-3-1-professionals">
			<tr>
				<td>1.3.1</td><td>Information for Professionals</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-3-2-patient">
			<tr>
				<td>1.3.2</td><td>Patient Information</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-3-3-packaging">
			<tr>
				<td>1.3.3</td><td>Packaging Information</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-3-4-professionals-other-countries">
			<tr>
				<td>1.3.4</td><td>Information for Professionals from Other Countries</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
	
	<xsl:template match="m1-4-expert">
		<tr>
			<td>1.4</td><td>Information about the Expert</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
		
		<xsl:template match="m1-4-1-quality">
			<tr>
				<td>1.4.1</td><td>Quality</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-4-2-non-clinical">
			<tr>
				<td>1.4.2</td><td>Nonclinical</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-4-3-clinical">
			<tr>
				<td>1.4.3</td><td>Clinical</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
	
	<xsl:template match="m1-5-bioavailability">
		<tr>
			<td>1.5</td><td>Data of Bioavailability Studies (Known Active Substance without Innovation)</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>

	<xsl:template match="m1-5-1-info-accord-app-iv-guideline-bioequivalence">
			<tr>
				<td>1.5.1</td><td>Information according to Appendix IV of the Guideline on the Investigation on Bioequivalence</td>
			</tr>
			<xsl:apply-templates select="*" />
	</xsl:template>

	<xsl:template match="m1-5-2-reference-product">
			<tr>
				<td>1.5.2</td><td>Documents on the Reference Product</td>
			</tr>
			<xsl:apply-templates select="*" />
	</xsl:template>
	
		<xsl:template match="m1-5-3-confirmation-identity-bioequivalence">
			<tr>
				<td>1.5.3</td><td>Confirmation of Identity of Submitted Product and Reference Product Used in the Bioequivalence Studies</td>
			</tr>
			<xsl:apply-templates select="*" />
	</xsl:template>
	
	<xsl:template match="m1-6-environrisk">
		<tr>
			<td>1.6</td><td>Environmental Risk Assessment</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
		
		<xsl:template match="m1-6-1-nongmo">
			<tr>
				<td>1.6.1</td><td>Non-GMO</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-6-2-gmo">
			<tr>
				<td>1.6.2</td><td>GMO</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
	
	<xsl:template match="m1-7-decisions-authorities">
		<tr>
			<td>1.7</td><td>Decisions of Foreign Authorities</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
	
		<xsl:template match="m1-7-1-responses">
			<tr>
				<td>1.7.1</td><td>Responses to LoQ</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-7-2-assessment">
			<tr>
				<td>1.7.2</td><td>Assessment Report</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-7-3-eu-decisions">
			<tr>
				<td>1.7.3</td><td>EU Decision</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-7-4-fda-decision">
			<tr>
				<td>1.7.4</td><td>FDA Decision</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-7-5-foreign-decisions">
			<tr>
				<td>1.7.5</td><td>Decisions of Other Foreign Authorities</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>

		<xsl:template match="m1-7-6-article13adddoc">
			<tr>
				<td>1.7.6</td><td>Article 13 TPA Additional Documentation</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
	
	<xsl:template match="m1-8-pharmacovigilance">
		<tr>
			<td>1.8</td><td>Information Relating to Pharmacovigilance</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
		
		<xsl:template match="m1-8-1-pharmacovigilance-system">
			<tr>
				<td>1.8.1</td><td>Pharmacovigilance System</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-8-2-risk-management-system">
			<tr>
				<td>1.8.2</td><td>Risk-Management System</td>
			</tr>
			<xsl:apply-templates select="*" />
		</xsl:template>
	
	<xsl:template match="m1-9-fast-track-decision">
		<tr>
			<td>1.9</td><td>Fast Track Status Decision</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
	
	<xsl:template match="m1-10-paediatrics">
		<tr>
			<td>1.10</td><td>Information Relating to Paediatrics</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>

	<xsl:template match="m1-11-orphandrug">
		<tr>
			<td>1.11</td><td>Orphan Drug Status Decision</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
	
	<xsl:template match="m1-12-art14sec1letabisquater">
		<tr>
			<td>1.12</td><td>Art 14 Sec 1 Let abis-quater TPA Documents</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
	
		<xsl:template match="m1-12-1-eueftaauthorisation">
			<tr>
				<td>1.12.1</td><td>Proof of 10 Years EU/EFTA Authorisation</td>
			</tr>
		<xsl:apply-templates select="*" />
		</xsl:template>
	
		<xsl:template match="m1-12-2-eueftadocreference">
			<tr>
				<td>1.12.2</td><td>10 Years EU/EFTA Authorisation - Documents on the Reference Product</td>
			</tr>
		<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-12-3-overallmedicaluse">
			<tr>
				<td>1.12.3</td><td>Proof of 30 Years Overall Medical Use - 15 Years Medical Use EU/EFTA</td>
			</tr>
		<xsl:apply-templates select="*" />
		</xsl:template>
		
		<xsl:template match="m1-12-4-cantonalauthorisation">
			<tr>
				<td>1.12.4</td><td>Proof of 15 Years Cantonal Authorisation</td>
			</tr>
		<xsl:apply-templates select="*" />
		</xsl:template>
		
	<xsl:template match="m1-swiss-responses">
		<tr>
			<td></td><td>Responses to Swissmedic LoQ</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
	
	<xsl:template match="m1-additional-info">
		<tr>
			<td></td><td>Additional Information</td>
		</tr>
		<xsl:apply-templates select="*" />
	</xsl:template>
	
	<xsl:template match="*|@*" mode="capitalize-first">
		<xsl:value-of select="concat(translate(substring(.,1,1),'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'), substring(.,2))"/>
	</xsl:template>
	
	<xsl:template match="*|@*" mode="data">
		<span class="red"><xsl:value-of select="."/></span>
	</xsl:template>
	
	<xsl:template match="*|@*" mode="country">
		<span class="red"><xsl:value-of select="translate(.,'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/></span>
	</xsl:template>
	
	<xsl:template match="*|@*" mode="csv">
		<span class="red"><xsl:value-of select="."/></span>
		<xsl:if test="position() != last()"><xsl:text>, </xsl:text></xsl:if>
	</xsl:template>
	
	<xsl:template match="*|@*" mode="expandable-anchor">
		<a>
			<xsl:attribute name="CLASS">
				image-minus
			</xsl:attribute>
			<xsl:attribute name="HREF">
				javascript:void(0);
			</xsl:attribute>
			<xsl:attribute name="ONCLICK">
				var fromNode = this;
				
				while(fromNode.tagName != 'BODY') {
					if(fromNode.tagName == 'TABLE') {
						var tbody = fromNode.childNodes(1);
						if(tbody.style.display == 'none'){
							tbody.style.display = '';
							this.className = 'image-minus';
						} else {
							tbody.style.display = 'none';
							this.className = 'image-plus';						
						}
						break;
					} else {
						fromNode = fromNode.parentNode;
					}
				}
			</xsl:attribute>
			<xsl:apply-templates select="." mode="capitalize-first"/>
		</a>
	</xsl:template>
	
	<xsl:template match="leaf">
		<tr>
			<td />
			<td class="leaf">
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@xlink:href"/></xsl:attribute>
					<xsl:attribute name="target">_blank</xsl:attribute>
					<xsl:attribute name="ONMOUSEOVER">
						var fromNode = this;
						
						while(fromNode.tagName != 'BODY') {
							if(fromNode.tagName == 'TD') {
								var info = fromNode.childNodes(1);
								info.style.display = '';
								break;
							} else {
								fromNode = fromNode.parentNode;
							}
						}
					</xsl:attribute>
					<xsl:attribute name="ONMOUSEOUT">
						var fromNode = this;
						
						while(fromNode.tagName != 'BODY') {
							if(fromNode.tagName == 'TD') {
								var info = fromNode.childNodes(1);
								info.style.display = 'none';
								break;
							} else {
								fromNode = fromNode.parentNode;
							}
						}
					</xsl:attribute>
					<xsl:value-of select="translate(title,'-',' ')"/>
					<xsl:text> </xsl:text>
					(<xsl:value-of select="@operation"/>)
				</a>
				
				
				<div class="leaf-info" style="display: none;">
					<table>
						<tr>
							<td>ID: </td>
							<td><xsl:apply-templates select="@ID" mode="data" /></td>
						</tr>
						<tr>
							<td>Application Version: </td>
							<td><xsl:apply-templates select="@application-version" mode="data" /></td>
						</tr>
						<tr>
							<td>Checksum: </td>
							<td><xsl:apply-templates select="@checksum" mode="data" /></td>
						</tr>
						<tr>
							<td>Checksum Type: </td>
							<td><xsl:apply-templates select="@checksum-type" mode="data" /></td>
						</tr>
						<tr>
							<td>Operation: </td>
							<td><xsl:apply-templates select="@operation" mode="data" /></td>
						</tr>
					</table>
				</div>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="node-extension">
			<tr>
				<td></td><td><xsl:value-of select="title"/></td>
			</tr>

			<xsl:apply-templates select="leaf|node-extension"/>
	</xsl:template>

	<xsl:template match="*|@*" mode="application">
		<span class="red">
			<xsl:choose>
				<xsl:when test="@type='na-nas'">New Application: New Active Substance(<xsl:value-of select="@type"/>)</xsl:when>
				<xsl:when test="@type='na-ngf'">New Application: New Galenic Form(<xsl:value-of select="@type"/>)</xsl:when>
				<xsl:when test="@type='na-nko'">New Application: New Combination(<xsl:value-of select="@type"/>)</xsl:when>
				<xsl:when test="@type='na-bws'">New Application: Known Active Substance(<xsl:value-of select="@type"/>)</xsl:when>
				<xsl:when test="@type='na-ie'">New Application: New Indication(<xsl:value-of select="@type"/>)</xsl:when>
				<xsl:when test="@type='na-nde'">New Application: New Dosage Recommendation(<xsl:value-of select="@type"/>)</xsl:when>		
				<xsl:when test="@type='na-ndo'">New Application: New Dosage Strength(<xsl:value-of select="@type"/>)</xsl:when>
				<xsl:when test="@type='na-co-marketing'">Co-Marketing Medicinal Product</xsl:when>
				<xsl:when test="@type='na-pi'">Parallel Import</xsl:when>
				<xsl:when test="@type='notification'">Notification: Variations requiring a notification procedure (submissions according to App. 8 of the Decree on Authorisation of Medicinal Products ('AMZV'))</xsl:when>
				<xsl:when test="@type='var-authorisation-scientific'">Variation Authorisation scientific: Variation requiring authorisation incl. scientific review</xsl:when>
				<xsl:when test="@type='var-authorisation-admin'">Variation Authorisation Admin: Variation requiring authorisation without scientific review</xsl:when>
				<xsl:when test="@type='renewal'">Renewal: Prolongation, renouncement of prolongation of Marketing Authorisation</xsl:when>
				<xsl:when test="@type='fum'">Follow-up </xsl:when>
				<xsl:when test="@type='advice'">Scientific Advice Meeting and Presubmission Meeting</xsl:when>
				<xsl:when test="@type='var-type1a'">Type Ia Variation</xsl:when>
				<xsl:when test="@type='var-type1ain'">Type Ia Variation for a immediate notification</xsl:when>
				<xsl:when test="@type='var-type1b'">Type Ib Variation</xsl:when>
				<xsl:when test="@type='var-type2'">Type II Variation</xsl:when>
				<xsl:when test="@type='extension'">Extension</xsl:when>
				<xsl:when test="@type='psur'">PSUR: Submission of PSUR</xsl:when>
				<xsl:when test="@type='pi'">PI: Parallel Import</xsl:when>
				<xsl:when test="@type='eas'">EAS: Application for 5 years Data Protection</xsl:when>
				<xsl:when test="@type='co-marketing'">Co-Marketing: Application for authorisation of a Co-Marketing Medicinal Product</xsl:when>
				<xsl:when test="@type='withdrawal'">Withdrawal: Withdrawal of authorised medicinal products</xsl:when>
				<xsl:when test="@type='var-pi'">VAR PI: Variations requiring authorisation of the product information (Information for professionals, patient information)</xsl:when>
				<xsl:when test="@type='transfer'">Transfer: Transfer of a Marketing Authorisation, change of name of applicant, change of address of applicant</xsl:when>
				<xsl:when test="@type='dmf'">Drug Master File</xsl:when>
				<xsl:when test="@type='pmf'">Plasma Master File</xsl:when>
				<xsl:when test="@type='orphan-fasttrack'">Application for recognition of orphan drug status or fast track status</xsl:when>
				<xsl:when test="@type='reformat'">Reformat: a baseline eCTD submission containing no content change and which will not be subject to review</xsl:when>
				<xsl:when test="@type='supplemental-info'">Supplemental information (could include, for example, response to content validation issues or answers to question)</xsl:when>
				<xsl:when test="@type='corrigendum'">Correction of  errors detected in a sequence</xsl:when>				
			</xsl:choose>
		</span>
	</xsl:template>

</xsl:stylesheet>
